package com.cool.bang.modules.system.domain.po;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.enums.StatusType;

/**
 * 文件
 *
 * @author PeiZhi Guo
 * 2022-09-08 15:12
 */
public class Resource extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /** 表主键 */
    private Long tableId;

    /** 文件类型 1：门店图片 2：房屋图片 3门店户型图*/
    private Integer wjlx;

    /** 图片类型 1:首页 2：非首页*/
    private Integer type;

    /** 图片路径 */
    private String url;

    /** 删除标识 0 删除 1 正常 */
    private Integer delFlag;

    @Override
    public void insertConfigure() {
        super.insertConfigure();
        this.delFlag = StatusType.ENABLE.ordinal();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getTableId() {
        return tableId;
    }

    public void setTableId(Long tableId) {
        this.tableId = tableId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getWjlx() {
        return wjlx;
    }

    public void setWjlx(Integer wjlx) {
        this.wjlx = wjlx;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
